classification
Title: ast_unparser.c doesn't handle := expressions
Type: behavior Stage: resolved
Components: Interpreter Core Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: BTaskaya, emilyemorehouse, eric.smith, lukasz.langa, pablogsal
Priority: release blocker Keywords: patch

Created on 2019-05-07 08:39 by eric.smith, last changed 2019-05-18 22:10 by pablogsal. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 13337 merged BTaskaya, 2019-05-15 11:06
Messages (3)
msg341699 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2019-05-07 08:39
If either of these lines are added to test_annotations() in Lib/test/test_future.py, a SystemError will be raised:

        eq("(x:=10)")
        eq("f'{(x:=10):=10}'")

Traceback (most recent call last):
  File "/Users/eric/local/python/cpython/Lib/test/test_future.py", line 258, in test_annotations
    eq("(x:=10)")
  File "/Users/eric/local/python/cpython/Lib/test/test_future.py", line 134, in assertAnnotationEqual
    actual = self.getActual(annotation)
  File "/Users/eric/local/python/cpython/Lib/test/test_future.py", line 121, in getActual
    exec(self.template.format(ann=annotation), {}, scope)
SystemError: unknown expression kind
msg342560 - (view) Author: Batuhan (BTaskaya) * Date: 2019-05-15 11:01
I have patch, i'm going to submit it.
msg342820 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2019-05-18 22:10
Thanks for the patch Batuhan!
History
Date User Action Args
2019-05-18 22:10:57pablogsalsetstatus: open -> closed

nosy: + pablogsal
messages: + msg342820

resolution: fixed
stage: patch review -> resolved
2019-05-15 11:06:00BTaskayasetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request13249
2019-05-15 11:01:38BTaskayasetnosy: + BTaskaya
messages: + msg342560
2019-05-07 08:39:53eric.smithcreate